diff --git a/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx b/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx
index 4aea8e6c8..0a03be100 100644
--- a/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx
+++ b/web/pgadmin/misc/cloud/static/js/CloudWizard.jsx
@@ -21,12 +21,12 @@ import PropTypes from 'prop-types';
 import pgAdmin from 'sources/pgadmin';
 import {ToggleButtons, FinalSummary} from './cloud_components';
 import { PrimaryButton } from '../../../../static/js/components/Buttons';
-import {AwsCredentials, AwsInstanceDetails, AwsDatabaseDetails, validateCloudStep1,
-  validateCloudStep2, validateCloudStep3} from './aws';
-import {BigAnimalInstance, BigAnimalDatabase, validateBigAnimal,
-  validateBigAnimalStep2, validateBigAnimalStep3} from './biganimal';
+import {AwsCredentials, AwsInstanceDetails, AwsDatabaseDetails, validateCloudStep1, validateCloudStep2, validateCloudStep3} from './aws';
+import {BigAnimalInstance, BigAnimalDatabase, validateBigAnimal,validateBigAnimalStep2, validateBigAnimalStep3} from './biganimal';
 import { isEmptyString } from 'sources/validators';
-import { AWSIcon, BigAnimalIcon } from '../../../../static/js/components/ExternalIcon';
+import { AWSIcon, BigAnimalIcon, AzureIcon } from '../../../../static/js/components/ExternalIcon';
+import {AzureCredentials, AzureInstanceDetails, AzureDatabaseDetails, checkClusternameAvailbility, validateAzureStep2, validateAzureStep3} from './azure';
+import EventBus from '../../../../static/js/helpers/EventBus';
 
 const useStyles = makeStyles(() =>
   ({
@@ -53,12 +53,20 @@ const useStyles = makeStyles(() =>
     boxText: {
       paddingBottom: '5px'
     },
+    authButton: {
+      marginLeft: '12em'
+    }
   }),
 );
 
+export const CloudWizardEventsContext = React.createContext();
+
+
 export default function CloudWizard({ nodeInfo, nodeData }) {
   const classes = useStyles();
 
+  const eventBus = React.useRef(new EventBus());
+
   var steps = [gettext('Cloud Provider'), gettext('Credentials'),
     gettext('Instance Specification'), gettext('Database Details'), gettext('Review')];
   const [currentStep, setCurrentStep] = React.useState('');
@@ -74,13 +82,27 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
   const [bigAnimalInstanceData, setBigAnimalInstanceData] = React.useState({});
   const [bigAnimalDatabaseData, setBigAnimalDatabaseData] = React.useState({});
 
-
+  const [azureCredData, setAzureCredData] = React.useState({});
+  const [azureInstanceData, setAzureInstanceData] = React.useState({});
+  const [azureDatabaseData, setAzureDatabaseData] = React.useState({});
 
   const axiosApi = getApiInstance();
 
   const [verificationURI, setVerificationURI] = React.useState('');
   const [verificationCode, setVerificationCode] = React.useState('');
 
+  React.useEffect(()=>{
+    eventBus.current.registerListener('SET_ERROR_MESSAGE_FOR_CLOUD_WIZARD', (msg) => {
+      setErrMsg(msg);
+    });
+  }, []);
+
+  React.useEffect(()=>{
+    eventBus.current.registerListener('SET_CRED_VERIFICATION_INITIATED', (initiated) => {
+      setVerificationIntiated(initiated);
+    });
+  }, []);
+
   React.useEffect(() => {
     let _url = url_for('cloud.get_host_ip') ;
     axiosApi.get(_url)
@@ -110,7 +132,16 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
         instance_details:cloudInstanceDetails,
         db_details: cloudDBDetails
       };
-    } else {
+    } else if(cloudProvider == 'azure'){
+      post_data = {
+        gid: nodeInfo.server_group._id,
+        secret: azureCredData,
+        cloud: cloudProvider,
+        instance_details:azureInstanceData,
+        db_details: azureDatabaseData
+      };
+
+    }else {
       post_data = {
         gid: nodeInfo.server_group._id,
         cloud: cloudProvider,
@@ -170,6 +201,24 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
         break;
       }
       break;
+    case 'azure':
+      switch (currentStep) {
+      case 0:
+        setCloudSelection('azure');
+        break;
+      case 1:
+        isError = !verificationIntiated;
+        break;
+      case 2:
+        isError = validateAzureStep2(azureInstanceData);
+        break;
+      case 3:
+        isError = validateAzureStep3(azureDatabaseData, nodeInfo);
+        break;
+      default:
+        break;
+      }
+      break;
     }
     return isError;
   };
@@ -211,8 +260,23 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
             setErrMsg([MESSAGE_TYPE.ERROR, gettext(error)]);
             reject();
           });
+      } else if(activeStep == 2 && cloudProvider == 'azure'){
+        setErrMsg([MESSAGE_TYPE.INFO, 'Checking cluster name availability...']);
+        checkClusternameAvailbility(azureInstanceData.name)
+          .then((res)=>{
+            if (res.data && res.data.success == 0 ) {
+              setErrMsg([MESSAGE_TYPE.ERROR, gettext('Specified cluster name is already used.')]);
+            }else{
+              setErrMsg(['', '']);
+            }
+            resolve();
+          }).catch((error)=>{
+            setErrMsg([MESSAGE_TYPE.ERROR, gettext(error)]);
+            reject();
+          });
       }
       else {
+        setErrMsg(['', '']);
         resolve();
       }
     });
@@ -262,96 +326,120 @@ export default function CloudWizard({ nodeInfo, nodeData }) {
   });
 
   return (
-    <>
-      <Wizard
-        title={gettext('Deploy Cloud Instance')}
-        stepList={steps}
-        disableNextStep={disableNextCheck}
-        onStepChange={wizardStepChange}
-        onSave={onSave}
-        onHelp={onDialogHelp}
-        beforeNext={onBeforeNext}>
-        <WizardStep stepId={0}>
-          <Box className={classes.messageBox}>
-            <Box className={classes.messagePadding}>{gettext('Select any option to deploy on cloud.')}</Box>
-          </Box>
-          <Box className={classes.messageBox}>
-            <ToggleButtons cloudProvider={cloudProvider} setCloudProvider={setCloudProvider}
-              options={[{label: 'Amazon RDS', value: 'rds', icon: <AWSIcon className={classes.icon} />}, {label: 'EDB BigAnimal', value: 'biganimal', icon: <BigAnimalIcon className={classes.icon} />}]}
-            ></ToggleButtons>
-          </Box>
-          <Box className={classes.messageBox}>
-            <Box className={classes.messagePadding}>{gettext('More cloud providers are coming soon...')}</Box>
-          </Box>
-          <FormFooterMessage type={errMsg[0]} message={errMsg[1]} onClose={onErrClose} />
-        </WizardStep>
-        <WizardStep stepId={1} >
-          <Box className={classes.buttonMarginEDB}>
-            {cloudProvider == 'biganimal' && <Box className={classes.messageBox}>
-              <Box>{gettext('The verification code to authenticate the pgAdmin to EDB BigAnimal is: ')} <strong>{verificationCode}</strong>
-                <br/>{gettext('By clicking the below button, you will be redirected to the EDB BigAnimal authentication page in a new tab.')}
-              </Box>
-            </Box>}
-            {cloudProvider == 'biganimal' && <PrimaryButton onClick={authenticateBigAnimal} disabled={verificationIntiated ? true: false}>
-              {gettext('Click here to authenticate yourself to EDB BigAnimal')}
-            </PrimaryButton>}
-            {cloudProvider == 'biganimal' && <Box className={classes.messageBox}>
-              <Box ></Box>
-            </Box>}
-          </Box>
-          {cloudProvider == 'rds' && <AwsCredentials cloudProvider={cloudProvider} nodeInfo={nodeInfo} nodeData={nodeData} setCloudDBCred={setCloudDBCred}/>}
-          <FormFooterMessage type={errMsg[0]} message={errMsg[1]} onClose={onErrClose} />
-        </WizardStep>
-        <WizardStep stepId={2} >
-          {cloudProvider == 'rds' && callRDSAPI == 2 && <AwsInstanceDetails
-            cloudProvider={cloudProvider}
-            nodeInfo={nodeInfo}
-            nodeData={nodeData}
-            setCloudInstanceDetails={setCloudInstanceDetails}
-            hostIP={hostIP} /> }
-          {cloudProvider == 'biganimal' && callRDSAPI == 2 && <BigAnimalInstance
-            cloudProvider={cloudProvider}
-            nodeInfo={nodeInfo}
-            nodeData={nodeData}
-            setBigAnimalInstanceData={setBigAnimalInstanceData}
-            hostIP={hostIP}
-          /> }
-        </WizardStep>
-        <WizardStep stepId={3} >
-          {cloudProvider == 'rds' && <AwsDatabaseDetails
-            cloudProvider={cloudProvider}
-            nodeInfo={nodeInfo}
-            nodeData={nodeData}
-            setCloudDBDetails={setCloudDBDetails}
-          />
-          }
-          {cloudProvider == 'biganimal' && callRDSAPI == 3 && <BigAnimalDatabase
-            cloudProvider={cloudProvider}
-            nodeInfo={nodeInfo}
-            nodeData={nodeData}
-            setBigAnimalDatabaseData={setBigAnimalDatabaseData}
-          />
-          }
-        </WizardStep>
-        <WizardStep stepId={4} >
-          <Box className={classes.boxText}>{gettext('Please review the details before creating the cloud instance.')}</Box>
-          <Paper variant="outlined" elevation={0} className={classes.summaryContainer}>
-            {cloudProvider == 'rds' && callRDSAPI == 4 && <FinalSummary
+    <CloudWizardEventsContext.Provider value={eventBus.current}>
+      <>
+        <Wizard
+          title={gettext('Deploy Cloud Instance')}
+          stepList={steps}
+          disableNextStep={disableNextCheck}
+          onStepChange={wizardStepChange}
+          onSave={onSave}
+          onHelp={onDialogHelp}
+          beforeNext={onBeforeNext}>
+          <WizardStep stepId={0}>
+            <Box className={classes.messageBox}>
+              <Box className={classes.messagePadding}>{gettext('Select a cloud provider.')}</Box>
+            </Box>
+            <Box className={classes.messageBox}>
+              <ToggleButtons cloudProvider={cloudProvider} setCloudProvider={setCloudProvider}
+                options={[{label: 'Amazon RDS', value: 'rds', icon: <AWSIcon className={classes.icon} />}, {label: 'EDB BigAnimal', value: 'biganimal', icon: <BigAnimalIcon className={classes.icon} />}, {'label': 'Azure PostgreSQL', value: 'azure', icon: <AzureIcon className={classes.icon} /> }]}
+              ></ToggleButtons>
+            </Box>
+            <FormFooterMessage type={errMsg[0]} message={errMsg[1]} onClose={onErrClose} />
+          </WizardStep>
+          <WizardStep stepId={1} >
+            <Box className={classes.buttonMarginEDB}>
+              {cloudProvider == 'biganimal' && <Box className={classes.messageBox}>
+                <Box>{gettext('The verification code to authenticate the pgAdmin to EDB BigAnimal is: ')} <strong>{verificationCode}</strong>
+                  <br/>{gettext('By clicking the below button, you will be redirected to the EDB BigAnimal authentication page in a new tab.')}
+                </Box>
+              </Box>}
+              {cloudProvider == 'biganimal' && <PrimaryButton onClick={authenticateBigAnimal} disabled={verificationIntiated ? true: false}>
+                {gettext('Click here to authenticate yourself to EDB BigAnimal')}
+              </PrimaryButton>}
+              {cloudProvider == 'biganimal' && <Box className={classes.messageBox}>
+                <Box ></Box>
+              </Box>}
+            </Box>
+            {cloudProvider == 'rds' && <AwsCredentials cloudProvider={cloudProvider} nodeInfo={nodeInfo} nodeData={nodeData} setCloudDBCred={setCloudDBCred}/>}
+            <Box>
+              {cloudProvider == 'azure' && <AzureCredentials cloudProvider={cloudProvider} nodeInfo={nodeInfo} nodeData={nodeData} setAzureCredData={setAzureCredData}/>}
+            </Box>
+            <FormFooterMessage type={errMsg[0]} message={errMsg[1]} onClose={onErrClose} />
+          </WizardStep>
+          <WizardStep stepId={2} >
+            {cloudProvider == 'rds' && callRDSAPI == 2 && <AwsInstanceDetails
+              cloudProvider={cloudProvider}
+              nodeInfo={nodeInfo}
+              nodeData={nodeData}
+              setCloudInstanceDetails={setCloudInstanceDetails}
+              hostIP={hostIP} /> }
+            {cloudProvider == 'biganimal' && callRDSAPI == 2 && <BigAnimalInstance
+              cloudProvider={cloudProvider}
+              nodeInfo={nodeInfo}
+              nodeData={nodeData}
+              setBigAnimalInstanceData={setBigAnimalInstanceData}
+              hostIP={hostIP}
+            /> }
+            {cloudProvider == 'azure' && callRDSAPI == 2 && <AzureInstanceDetails
+              cloudProvider={cloudProvider}
+              nodeInfo={nodeInfo}
+              nodeData={nodeData}
+              setAzureInstanceData={setAzureInstanceData}
+              hostIP={hostIP}
+              azureInstanceData = {azureInstanceData}
+            /> }
+            <FormFooterMessage type={errMsg[0]} message={errMsg[1]} onClose={onErrClose} />
+          </WizardStep>
+          <WizardStep stepId={3} >
+            {cloudProvider == 'rds' && <AwsDatabaseDetails
               cloudProvider={cloudProvider}
-              instanceData={cloudInstanceDetails}
-              databaseData={cloudDBDetails}
+              nodeInfo={nodeInfo}
+              nodeData={nodeData}
+              setCloudDBDetails={setCloudDBDetails}
             />
             }
-            {cloudProvider == 'biganimal' && callRDSAPI == 4 && <FinalSummary
+            {cloudProvider == 'biganimal' && callRDSAPI == 3 && <BigAnimalDatabase
               cloudProvider={cloudProvider}
-              instanceData={bigAnimalInstanceData}
-              databaseData={bigAnimalDatabaseData}
+              nodeInfo={nodeInfo}
+              nodeData={nodeData}
+              setBigAnimalDatabaseData={setBigAnimalDatabaseData}
             />
             }
-          </Paper>
-        </WizardStep>
-      </Wizard>
-    </>
+            {cloudProvider == 'azure' && <AzureDatabaseDetails
+              cloudProvider={cloudProvider}
+              nodeInfo={nodeInfo}
+              nodeData={nodeData}
+              setAzureDatabaseData={setAzureDatabaseData}
+            />
+            }
+          </WizardStep>
+          <WizardStep stepId={4} >
+            <Box className={classes.boxText}>{gettext('Please review the details before creating the cloud instance.')}</Box>
+            <Paper variant="outlined" elevation={0} className={classes.summaryContainer}>
+              {cloudProvider == 'rds' && callRDSAPI == 4 && <FinalSummary
+                cloudProvider={cloudProvider}
+                instanceData={cloudInstanceDetails}
+                databaseData={cloudDBDetails}
+              />
+              }
+              {cloudProvider == 'biganimal' && callRDSAPI == 4 && <FinalSummary
+                cloudProvider={cloudProvider}
+                instanceData={bigAnimalInstanceData}
+                databaseData={bigAnimalDatabaseData}
+              />
+              }
+              {cloudProvider == 'azure' && callRDSAPI == 4 && <FinalSummary
+                cloudProvider={cloudProvider}
+                instanceData={azureInstanceData}
+                databaseData={azureDatabaseData}
+              />
+              }
+            </Paper>
+          </WizardStep>
+        </Wizard>
+      </>
+    </CloudWizardEventsContext.Provider>
   );
 }
 
@@ -359,5 +447,3 @@ CloudWizard.propTypes = {
   nodeInfo: PropTypes.object,
   nodeData: PropTypes.object,
 };
-
-
diff --git a/web/pgadmin/misc/cloud/static/js/azure.js b/web/pgadmin/misc/cloud/static/js/azure.js
new file mode 100644
index 000000000..ae53805b0
--- /dev/null
+++ b/web/pgadmin/misc/cloud/static/js/azure.js
@@ -0,0 +1,298 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+import React from 'react';
+import {AzureCredSchema, AzureClusterSchema, AzureDatabaseSchema} from './azure_schema.ui';
+import pgAdmin from 'sources/pgadmin';
+import { getNodeAjaxOptions, getNodeListById } from 'pgbrowser/node_ajax';
+import SchemaView from '../../../../static/js/SchemaView';
+import url_for from 'sources/url_for';
+import { isEmptyString } from 'sources/validators';
+import PropTypes from 'prop-types';
+import getApiInstance from '../../../../static/js/api_instance';
+import { CloudWizardEventsContext } from './CloudWizard';
+import {MESSAGE_TYPE } from '../../../../static/js/components/FormComponents';
+import gettext from 'sources/gettext';
+
+// Azure credentials
+export function AzureCredentials(props) {
+  const [cloudDBCredInstance, setCloudDBCredInstance] = React.useState();
+
+  var _eventBus = React.useContext(CloudWizardEventsContext);
+  React.useMemo(() => {
+    const azureCloudDBCredSchema = new AzureCredSchema({
+      authenticateAzure:(auth_type, azure_tenant_id) => {
+        let loading_icon_url = url_for(
+          'static', { 'filename': 'img/loading.gif'}
+        );
+        const axiosApi = getApiInstance();
+        _eventBus.fireEvent('SET_ERROR_MESSAGE_FOR_CLOUD_WIZARD', [MESSAGE_TYPE.INFO, 'Microsoft Azure authentication process is in progress..<img src="' + loading_icon_url + '" alt="' + gettext('Loading...') + '">']);
+        let _url = url_for('azure.verify_credentials');
+        const post_data = {
+          cloud: 'azure',
+          secret: {'auth_type':auth_type, 'azure_tenant_id':azure_tenant_id}
+        };
+        return new Promise((resolve, reject)=>{axiosApi.post(_url, post_data)
+          .then((res) => {
+            if (res.data && res.data.success == 1 ) {
+              _eventBus.fireEvent('SET_ERROR_MESSAGE_FOR_CLOUD_WIZARD',[MESSAGE_TYPE.SUCCESS, gettext('Authentication completed successfully. Click the Next button to proceed.')]);
+              _eventBus.fireEvent('SET_CRED_VERIFICATION_INITIATED',true);
+              resolve(true);
+            }
+            else if (res.data && res.data.success == 0) {
+              _eventBus.fireEvent('SET_ERROR_MESSAGE_FOR_CLOUD_WIZARD',[MESSAGE_TYPE.ERROR, res.data.errormsg]);
+              _eventBus.fireEvent('SET_CRED_VERIFICATION_INITIATED',false);
+              resolve(false);
+            }
+          })
+          .catch((error) => {
+            _eventBus.fireEvent('SET_ERROR_MESSAGE_FOR_CLOUD_WIZARD',[MESSAGE_TYPE.ERROR, gettext(`Error while verification Microsoft Azure: ${error.response.data.errormsg}`)]);
+            reject(false);
+          });});
+      }
+    });
+    setCloudDBCredInstance(azureCloudDBCredSchema);
+  }, [props.cloudProvider]);
+
+  return  <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={cloudDBCredInstance}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setAzureCredData(changedData);
+    }}
+  />;
+}
+AzureCredentials.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  setAzureCredData: PropTypes.func
+};
+
+
+// Azure Instance
+export function AzureInstanceDetails(props) {
+  const [azureInstanceSchema, setAzureInstanceSchema] = React.useState();
+
+  React.useMemo(() => {
+    const AzureSchema = new AzureClusterSchema({
+      subscriptions: () => getNodeAjaxOptions('get_subscriptions', {}, {}, {},{
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('azure.subscriptions');
+        }
+      }),
+      resourceGroups: (subscription)=>getNodeAjaxOptions('ge_resource_groups', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('azure.resource_groups', {'subscription_id': subscription});
+        }
+      }),
+      regions: (subscription)=>getNodeAjaxOptions('get_regions', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData,{
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('azure.regions', {'subscription_id': subscription});
+        }
+      }),
+      availabilityZones: (region)=>getNodeAjaxOptions('get_availability_zones', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('azure.availability_zones', {'region_name': region});
+        }
+      }),
+      versionOptions: (availabilityZone)=>getNodeAjaxOptions('get_db_versions', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('azure.db_versions', {'availability_zone': availabilityZone});
+        }
+      }),
+      instanceOptions: (dbVersion, availabilityZone)=>{
+        if (isEmptyString(dbVersion) || isEmptyString(availabilityZone) ) return [];
+        return getNodeAjaxOptions('get_instance_types', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+          useCache:false,
+          cacheNode: 'server',
+          customGenerateUrl: ()=>{
+            return url_for('azure.instance_types', {'availability_zone':availabilityZone, 'db_version': dbVersion});
+          }
+        });},
+      storageOptions: (dbVersion, availabilityZone)=>{
+        if (isEmptyString(dbVersion) || isEmptyString(availabilityZone) ) return [];
+        return getNodeAjaxOptions('get_instance_types', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+          useCache:false,
+          cacheNode: 'server',
+          customGenerateUrl: ()=>{
+            return url_for('azure.storage_types', {'availability_zone':availabilityZone, 'db_version': dbVersion});
+          }
+        });
+      },
+      zoneRedundantHaSupported: (region)=>getNodeAjaxOptions('is_zone_redundant_ha_supported', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData,{
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('azure.zone_redundant_ha_supported', {'region_name': region});
+        }
+      }),
+    }, {
+      nodeInfo: props.nodeInfo,
+      nodeData: props.nodeData,
+      hostIP: props.hostIP,
+      ...props.azureInstanceData
+    });
+    setAzureInstanceSchema(AzureSchema);
+  }, [props.cloudProvider]);
+
+  return  <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={azureInstanceSchema}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setAzureInstanceData(changedData);
+    }}
+  />;
+}
+AzureInstanceDetails.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  setAzureInstanceData: PropTypes.func,
+  hostIP: PropTypes.string,
+  subscriptions: PropTypes.array,
+  azureInstanceData: PropTypes.object
+};
+
+
+// Azure Database Details
+export function AzureDatabaseDetails(props) {
+  const [azureDBInstance, setAzureDBInstance] = React.useState();
+
+  React.useMemo(() => {
+    const azureDBSchema = new AzureDatabaseSchema({
+      server_groups: ()=>getNodeListById(pgAdmin.Browser.Nodes['server_group'], props.nodeInfo, props.nodeData),
+    },
+    {
+      gid: props.nodeInfo['server_group']._id,
+    }
+    );
+    setAzureDBInstance(azureDBSchema);
+
+  }, [props.cloudProvider]);
+
+  return <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={azureDBInstance}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setAzureDatabaseData(changedData);
+    }}
+  />;
+}
+AzureDatabaseDetails.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  setAzureDatabaseData: PropTypes.func,
+};
+
+
+// Validation functions
+export function validateAzureStep2(cloudInstanceDetails) {
+  let isError = false;
+  if (isEmptyString(cloudInstanceDetails.name) ||
+  isEmptyString(cloudInstanceDetails.db_version) || isEmptyString(cloudInstanceDetails.instance_type) ||
+  isEmptyString(cloudInstanceDetails.region)|| isEmptyString(cloudInstanceDetails.storage_size || isEmptyString(cloudInstanceDetails.public_ips))) {
+    isError = true;
+  }
+  return isError;
+}
+
+export function validateAzureStep3(cloudDBDetails, nodeInfo) {
+  let isError = false;
+  if (isEmptyString(cloudDBDetails.db_username) || isEmptyString(cloudDBDetails.db_password)) {
+    isError = true;
+  }
+  if (isEmptyString(cloudDBDetails.gid)) cloudDBDetails.gid = nodeInfo['server_group']._id;
+  return isError;
+}
+
+
+// Check cluster name avaiablity
+export function checkClusternameAvailbility(clusterName){
+  return new Promise((resolve, reject)=>{
+    let _url = url_for('azure.check_cluster_name_availability');
+    const axiosApi = getApiInstance();
+    axiosApi.get(_url, {
+      params: {
+        'name': clusterName,
+      }
+    }).then((res)=>{
+      if (res.data) {
+        resolve(res.data);
+      }
+    }).catch((error) => {
+      reject(gettext(`Error while checking server name availability with Microsoft Azure: ${error.response.data.errormsg}`));
+    });
+  });
+}
+
+// Summary creation
+function createData(name, value) {
+  if (typeof(value) == 'boolean') {
+    value = (value === true) ? 'True' : 'False';
+  }
+  return { name, value };
+}
+
+// Summary section
+export function getAzureSummary(cloud, cloudInstanceDetails, cloudDBDetails) {
+  const rows1 = [
+    createData('Cloud', cloud),
+    createData('Subscription', cloudInstanceDetails.subscription),
+    createData('Resource group', cloudInstanceDetails.resource_group),
+    createData('Region', cloudInstanceDetails.region),
+    createData('Availability zone', cloudInstanceDetails.availability_zone),
+  ];
+
+  const rows2 = [
+    createData('PostgreSQL version', cloudInstanceDetails.db_version),
+    createData('Instance type', cloudInstanceDetails.instance_type),
+  ];
+
+  const rows3 = [
+    createData('Allocated storage', cloudInstanceDetails.storage_size + ' GiB'),
+  ];
+
+  const rows4 = [
+    createData('Username', cloudDBDetails.db_username),
+    createData('Password', 'xxxxxxx'),
+  ];
+
+  const rows5 = [
+    createData('Public IP', cloudInstanceDetails.public_ips),
+  ];
+
+  const rows6 = [
+    createData('High availability', cloudInstanceDetails.high_availability),
+  ];
+
+  return [rows1, rows2, rows3, rows4, rows5, rows6];
+}
